[package]
name = "api"
version = "0.0.0"
edition.workspace = true
rust-version.workspace = true

[dependencies]
axum.workspace = true
serde.workspace = true
serde_json.workspace = true
utoipa.workspace = true
time.workspace = true
tower-sessions.workspace = true
tower-sessions-sqlx-store.workspace = true
sqlx.workspace = true
tracing.workspace = true
auth = { path = "../auth" }
db = { path = "../db" }
domain = { path = "../domain" }
search = { path = "../search" }

[dev-dependencies]
tokio.workspace = true
tower.workspace = true
http-body-util.workspace = true
serde_json.workspace = true
uuid.workspace = true
